## Apache Zeta Components Manual :: Docs For Class ezcImageAnalyzerException

### ImageAnalysis::ezcImageAnalyzerException

### Class ezcImageAnalyzerException

General exception container for the ImageAnalysis component.

Source for this file: /ImageAnalysis/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcImageAnalyzerException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcImageAnalyzerInvalidHandlerException | A registered handler class does not exist or does not inherit from ezcImageAnalyzerHandler.
ezcImageAnalyzerFileNotProcessableException | The option name you tried to register is already in use.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3